Summary:	Monitors SmartArray controllers and notifies via SNMP and syslog
Name:		cpqarrayd
Version:	2.2
Release:	7.2%{?dist}
License:	GPL
Group:		System Environment/Daemons
URL:		http://www.strocamp.net/opensource/
Source0:	http://www.strocamp.net/opensource/compaq/downloads/%{name}-%{version}.tar.bz2
Patch0:		cpqarrayd-2.2-debian.diff
Patch1:		cpqarrayd-2.2-headers.patch
Requires:	net-snmp
BuildRequires:	net-snmp-devel
BuildRequires:	openssl-devel
BuildRequires:	kernel-devel
BuildRequires:	libtool
BuildRequires:	autoconf >= 2.50
BuildRequires:  automake16
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Cpqarrayd monitors SmartArray controllers for you and notifies by sending SNMP
traps and via syslog.

%prep

%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -rf .deps
rm -f configure
libtoolize --force --copy; aclocal-1.6; autoheader; automake-1.6 --add-missing --copy --foreign; autoconf

%configure \
    --with-kernel=./

make %{?_smp_mflags}

%install
rm -rf $RPMS_BUILD_ROOT 

install -d $RPM_BUILD_ROOT%{_sysconfdir}/init.d
install -d $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig

%makeinstall

perl -i -p -e 's:\@installroot\@:%{prefix}:;' scripts/cpqarrayd

install -m0755 scripts/cpqarrayd $RPM_BUILD_ROOT%{_sysconfdir}/init.d
install scripts/cpqarrayd.sysconfig $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/cpqarrayd

%post
/sbin/chkconfig --add cpqarrayd
/sbin/chkconfig --level 0123456 cpqarrayd off

%preun
if [ "$1" = 0 ]
then
  /sbin/service cpqarrayd stop > /dev/null 2>&1
  /sbin/chkconfig --del cpqarrayd
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL NEWS README COPYING
%attr(0755,root,root) %{_sysconfdir}/init.d/cpqarrayd
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/cpqarrayd
%{_sbindir}/cpqarrayd
%{_mandir}/man1/cpqarrayd.1*


%changelog
* Thu Apr 17 2008 Hua Jie <jiehua@redflag-linux.com> 2.2-7.2%{?dist}
- turn off service cpqarrayd by default

* Tue Mar 25 2008 Mika Kamei <mkamei@miraclelinux.com> 2.2-7.1%{?dist}
- modify specfile for Asianux 
- add headers patch which is made by Ryoji Kamei to build cpqarrayd without kernel-source (Patch1)

* Wed Aug 08 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2-7mdv2008.0
+ Revision: 60199
- rebuilt against new net-snmp libs

* Wed Jun 20 2007 Adam Williamson <awilliamson@mandriva.com> 2.2-6mdv2008.0
+ Revision: 41942
- even uglier
- try it a different way
- buildconflicts kernel-source-stripped to fix build
- update autoconf buildrequire; rebuild for 2008


* Sat Jul 29 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2-5mdv2007.0
- rebuild
- use %%mkrel
- fix url and deps

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2-4mdk
- rebuilt against new net-snmp with new major (10)

* Wed Dec 21 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2-3mdk
- rebuilt against net-snmp that has new major (9)

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2-2mdk
- rebuilt against openssl-0.9.8a

* Mon Oct 24 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2-1mdk
- 2.2
- added rediffed P0 from debian

* Tue May 24 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.0-4mdk
- add BuildRequires: kernel-source libopenssl-devel

* Tue May 10 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0-3mdk
- rpmlint fixes

* Tue May 10 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0-2mdk
- added P0 from debian to make it compile on x86_64

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0-1mdk
- initial mandrake package, used parts from the provided spec file

